Debian Bug report logs - #520746
ITA: soci -- C++ Database Access Library (core)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Neil Williams <codehelp@debian.org>

Date: Sun, 22 Mar 2009 14:48:04 UTC

Owned by: Julian Taylor <jtaylor.debian@googlemail.com>

Severity: normal

Fixed in version 3.0.0+cvs20081223-4+rm

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#520746; Package wnpp. (Sun, 22 Mar 2009 14:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sun, 22 Mar 2009 14:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: soci -- C++ Database Access Library (core)
Date: Sun, 22 Mar 2009 14:45:53 +0000
Package: wnpp
Severity: normal

I intend to orphan the soci package. There was a chance that Bradley
Smith was going to take on the package and he has uploaded an updated
version to experimental. However, neither Bradley nor myself are using
soci directly anymore, so I'm orphaning the package.

The package description is:
 Database access library for C++ that makes the illusion of
 embedding SQL queries in the regular C++ code, staying entirely
 within Standard C++.
 .
 This package provides the shared library.

Other packages:
Package: soci
Binary: libsoci-core-gcc, libsoci-core-gcc-dev, libsoci-core-gcc-dbg,
libsoci-mysql-gcc, libsoci-sqlite3-gcc, libsoci-postgresql-gcc
Homepage: http://soci.sourceforge.net/
Vcs-Browser: http://soci.cvs.sourceforge.net/soci/
Vcs-Cvs: :pserver:anonymous@soci.cvs.sourceforge.net:/cvsroot/soci soci

If the package remains orphaned at the end of this month (March 09),
I'll migrate it to Maintainer: QA. If it is still orphaned at the start of
the Squeeze release freeze, I'll seek removal from Debian. (Upstream is
quiet but not completely dead.)

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#520746; Package wnpp. (Mon, 30 Aug 2010 09:15:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Aug 2010 09:15:26 GMT) Full text and rfc822 format available.

Message #10 received at 520746@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Neil Williams <codehelp@debian.org>
Cc: 520746@bugs.debian.org
Subject: Re: O: soci -- C++ Database Access Library (core)
Date: Sun, 29 Aug 2010 22:55:39 +0200
On Sun, Mar 22, 2009 at 02:45:53PM +0000, Neil Williams wrote:
> Package: wnpp
> Severity: normal
> 
> If the package remains orphaned at the end of this month (March 09),
> I'll migrate it to Maintainer: QA. If it is still orphaned at the start of
> the Squeeze release freeze, I'll seek removal from Debian. (Upstream is
> quiet but not completely dead.)

Are you going ahead with the removal?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#520746; Package wnpp. (Mon, 30 Aug 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Aug 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 520746@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 520746@bugs.debian.org, control@bugs.debian.org
Subject: Re: O: soci -- C++ Database Access Library (core)
Date: Mon, 30 Aug 2010 20:59:42 +0100
[Message part 1 (text/plain, inline)]
reassign 520746 ftp.debian.org
retitle 520746 RM: soci -- RoQA; dead upstream, orphaned
quit

On Sun, 29 Aug 2010 22:55:39 +0200
Moritz Muehlenhoff <jmm@inutil.org> wrote:

> On Sun, Mar 22, 2009 at 02:45:53PM +0000, Neil Williams wrote:
> > Package: wnpp
> > Severity: normal
> > 
> > If the package remains orphaned at the end of this month (March 09),
> > I'll migrate it to Maintainer: QA. If it is still orphaned at the
> > start of the Squeeze release freeze, I'll seek removal from Debian.
> > (Upstream is quiet but not completely dead.)
> 
> Are you going ahead with the removal?

Yes, I think soci should be removed from Squeeze. Thanks for the
reminder.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 30 Aug 2010 20:00:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: soci -- RoQA; dead upstream, orphaned' from 'O: soci -- C++ Database Access Library (core)' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 30 Aug 2010 20:00:05 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 31 Aug 2010 17:03:04 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Tue, 31 Aug 2010 17:03:04 GMT) Full text and rfc822 format available.

Message #24 received at 520746-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 520746-close@bugs.debian.org
Cc: soci@packages.debian.org, soci@packages.qa.debian.org
Subject: Bug#520746: Removed package(s) from unstable
Date: Tue, 31 Aug 2010 16:59:33 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libsoci-core-gcc | 3.0.0+cvs20081223-4 | alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libsoci-core-gcc-dbg | 3.0.0+cvs20081223-4 | alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libsoci-core-gcc-dev | 3.0.0+cvs20081223-4 | alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libsoci-mysql-gcc | 3.0.0+cvs20081223-4 | alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libsoci-postgresql-gcc | 3.0.0+cvs20081223-4 | alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
libsoci-sqlite3-gcc | 3.0.0+cvs20081223-4 | alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
      soci | 3.0.0+cvs20081223-4 | source

------------------- Reason -------------------
RoQA; dead upstream, orphaned
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 520746@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/520746

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Aug 2010 19:21:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: soci -- C++ Database Access Library (core)' from 'RM: soci -- RoQA; dead upstream, orphaned' Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Tue, 31 Aug 2010 19:21:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'ftp.debian.org' to 'wpnn'. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Tue, 31 Aug 2010 19:21:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wpnn' to 'wnpp'. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Tue, 31 Aug 2010 19:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#520746; Package wnpp. (Tue, 31 Aug 2010 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 Aug 2010 19:48:04 GMT) Full text and rfc822 format available.

Message #37 received at 520746@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 520746@bugs.debian.org
Subject: ITA
Date: Tue, 31 Aug 2010 21:45:11 +0200
[Message part 1 (text/plain, inline)]
Hi,
I would like to adopt this package to keep it in debian.

I have little experience in packaging but I should be able to handle with a
little help.
Upstream is probably also not dead, just not very active (last git change ~2
month ago, but developer replies in the mailing list).
I'll get into contact with the developers soon.

Best Regards,
Julian Taylor
[Message part 2 (text/html, inline)]

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Wed, 01 Sep 2010 13:45:23 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Wed, 01 Sep 2010 13:45:23 GMT) Full text and rfc822 format available.

Message #42 received at 520746-done@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 583846-done@bugs.debian.org, 520746-done@bugs.debian.org
Subject: Package got removed
Date: Wed, 1 Sep 2010 15:44:29 +0200
Version: 3.0.0+cvs20081223-4+rm

Hi!

As the package got removed from the archive (please see
http://bugs.debian.org/520746 for details) I hereby close these bug
reports.

Best Regards,
  Alexander




Bug No longer marked as fixed in versions 3.0.0+cvs20081223-4+rm and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Sep 2010 13:09:08 GMT) Full text and rfc822 format available.

Owner recorded as Julian Taylor <jtaylor.debian@googlemail.com>. Request was from Julian Taylor <jtaylor.debian@googlemail.com> to control@bugs.debian.org. (Sun, 05 Sep 2010 13:09:09 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Thu, 09 Sep 2010 20:40:59 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Thu, 09 Sep 2010 20:40:59 GMT) Full text and rfc822 format available.

Message #51 received at 520746-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 520746-done@bugs.debian.org
Cc: Sandro Tosi <morph@debian.org>
Subject: soci removed from Debian unstable
Version: 3.0.0+cvs20081223-4+rm

soci has been removed from Debian unstable: http://bugs.debian.org/520746

Closing its bugs with a Version higher than the last unstable upload.

More information about this script at:
  http://git.debian.org/?p=users/morph/mass-bugs-close.git;a=blob_plain;f=README;hb=HEAD




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Oct 2010 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:25:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.